Sign inGet started

Update allow/block rule

PATCH
/workspaces/{workspaceId}/conversation-allowblock-rules/{allowBlockRuleId}
Update Allow/Block rule
Anfrage-Payload
category
string
type
string
value
string
Antwort-Payload
category
string
erforderlich
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
createdAt
string
erforderlich
createdBy
string
erforderlich
id
string
erforderlich
type
string
erforderlich
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
updatedAt
string
erforderlich
updatedBy
string
erforderlich
value
string
erforderlich
workspaceId
string
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules/{allowBlockRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Codebeispiel
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversation-allowblock-rules" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "category": "domain",
  "value": "test.com",
  "type": "reject"
}'